gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Maintains application settings for objects attached to a toplevel. See
- Constructor
  2.12.0.0
  Default constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  System.Obsolete("Removed from C API, returns IntPtr.Zero")
  System.IntPtr Hashtable to map names to colors. A pointer to a native GHashtable.
- Property
  2.12.0.0
  System.Boolean True if the cursor should blink, false if it should not blink. a
- Property
  2.12.0.0
  System.Int32 Blink interval in milliseconds for the cursor. a
- Property
  2.12.0.0
  Gtk.Settings Returns a default settings object. A
- Property
  2.12.0.0
  System.Int32 Number of pixels the cursor can move before dragging. a
- Property
  2.12.0.0
  System.Int32 Maximum interval between clicks for a mouse action to be considered a double-click. Measured in milliseconds. a
- Property
  2.12.0.0
  System.String A font name. a
- Method
  2.12.0.0
  Gtk.Settings `` a Gets the settings for . a
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.String A string representing possible sizes for icons for different UI components. a This may look something like "(gtk-menu=16,16;gtk-button=20,20 [...])".
- Method
  2.12.0.0
  System.Void `` A , pointer to an unmanaged C property object. Installs a property.
- Method
  2.12.0.0
  System.Void `` `` A , pointer to the underlying C object (TODO: explain) A Sets up the property parser for reading Rc files.
- Property
  2.12.0.0
  System.String The name of the key theme RC file to load. a
- Property
  2.12.0.0
  System.String Keybinding to activate the menu bar. a Defaults to F10.
- Method
  2.12.0.0
  System.Void `` `` `` A A A Sets a property whose value is a .
- Method
  2.12.0.0
  System.Void `` `` `` A A A Sets a property whose content is a .
- Method
  2.12.0.0
  System.Void `` `` A A Sets a property whose value is a .
- Method
  2.12.0.0
  System.Void `` `` `` A A A Sets a property whose value is a .
- Property
  2.12.0.0
  System.Boolean Whether two cursors should be displayed for mixed left-to-right and right-to-left text. a
- Property
  2.12.0.0
  System.String Name of the theme RC file to load. a